#define SIZE 300

int inset( double ix, double iy )
{
  int iterations = 0;
  double x = ix, y = iy, x2 = x*x, y2 = y*y;
  double x3 = 0,y3 = 0;
  while ( ( x3 + y3 < 4 ) && ( x2 + y2 < 4 ) && ( iterations < 1000 ) )
  {
    y  = 2 * x * y + iy;
    x  = x2 - y2 + ix;
    x2 = x * x; x3 = x2;
    y2 = y * y; y3 = y2;
    iterations++;
  }
  return iterations;
}

int main( int argc, _TCHAR* argv[] )
{
  int data[SIZE][SIZE];
  dispatch_apply( SIZE, dispatch_get_global_queue( 0, 0 ),
  ^( size_t y ) 
   {
      for( int x=0; x<SIZE; x++ )
      {
        double xv = 0.75 * ( (double)(x  SIZE/2) ) / (double)(SIZE/4);
        double yv = 0.75 * ( (double)(y  SIZE/2) ) / (double)(SIZE/4);
        data[x][y] = inset( xv, yv );
      }
    } 
  );
  getchar();
  return 0;
}
