#include <sys/mman.h>
#include <fcntl.h>
#include <unistd.h>

int main()
{
  int handle = shm_open( "/shm", O_CREAT|O_RDWR, 0777 );
  ftruncate( handle, 1024*1024*sizeof(int) );
  char * mem  = (char*) mmap( 0, 1024*1024*sizeof(int), 
                      PROT_READ|PROT_WRITE, MAP_SHARED, handle, 0 );

  for( int i=0; i<1024*1024; i++ ) { mem[i] = 0; }

  munmap( mem, 1024*1024*sizeof(int) );
  shm_unlink( "/shm" );
}
