#include <sys/types.h>
#include <sys/socket.h>
#include <strings.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <stdio.h>

void main()
{
  int s = socket( AF_INET, SOCK_STREAM, 0 ); // TCP/IP socket
  struct sockaddr_in server;
  bzero( &server, sizeof(server) );          // Clear address structure
  server.sin_family = AF_INET;               // TCP/IP family
  server.sin_addr.s_addr = inet_addr( "127.0.0.1" );
                                             // Local machine
  server.sin_port = 7779;                    // Port to bind to
  if ( connect( s, (struct sockaddr*)&server, sizeof(server) ) == 0 )
  {
    printf( "Sending 'abcd' to server\n" );
    char buffer[1024];
    strncpy( buffer, "abcd", 4 );
    write( s, buffer, strlen(buffer) );
    int count = read( s, buffer, 1024 );
    buffer[count] = 0;
    printf( "Got %s from server\n", buffer );
    shutdown( s, SHUT_RDWR );
  }
}
