#include <signal.h>
#include <unistd.h>

struct sigaction oldhandler;

void hsignal( int signal, siginfo_t* info, void* other )
{
  write( 1, "Got signal\n", 11 );
  if(oldhandler.sa_sigaction) 
  { 
    oldhandler.sa_sigaction( signal, info, other );
  }
}

void main()
{
  struct sigaction newhandler;
  newhandler.sa_sigaction = hsignal;
  newhandler.sa_flags = 0;
  sigemptyset( &newhandler.sa_mask );
  sigaction( SIGPROF,&newhandler, &oldhandler );
  kill( getpid(), SIGPROF );
}
