#include <Windows.h>

int _tmain( int argc, _TCHAR* argv[] )
{
  STARTUPINFO startup_info;
  PROCESS_INFORMATION process_info;
  SECURITY_ATTRIBUTES secat;
  HANDLE filehandle;
  TCHAR ID[] = TEXT("Local\\foo");
  wchar_t* memory;
  
  if ( argc==1 )
  {  // Parent process
    secat.nLength = sizeof(secat);   // Set up security attibutes
    secat.bInheritHandle = true;     // So handle can be inherited
    secat.lpSecurityDescriptor = NULL;

    filehandle = CreateFileMapping( INVALID_HANDLE_VALUE, &secat,
                                    PAGE_READWRITE, 0, 1024, ID );
    memory = (wchar_t*)MapViewOfFile( filehandle,
                                      FILE_MAP_ALL_ACCESS, 0, 0, 0);

    // Setup command line using shared memory
    swprintf( memory, 1024, L"\"%s\" %i", argv[0], filehandle);
    printf( "First process memory: %S handle:%i\n", memory, filehandle);

    ZeroMemory( &process_info, sizeof(process_info) );
    ZeroMemory( &startup_info, sizeof(startup_info) );
    startup_info.cb = sizeof(startup_info);

    // Start child process
    CreateProcess( NULL, memory, 0, 0, true, 0, 0, 0,
                   &startup_info, &process_info);
    WaitForSingleObject( process_info.hProcess, INFINITE );

    UnmapViewOfFile( memory );
    CloseHandle( filehandle );
  }
  else
  {
    filehandle=(HANDLE)_wtoi( argv[1] );  // Get handle from argv[1]
    memory = (wchar_t*)MapViewOfFile( filehandle, 
                                      FILE_MAP_ALL_ACCESS, 0, 0, 0 );
    
    printf( "Second process memory: %S handle: %i\n",
            memory, filehandle ); 
	 
    UnmapViewOfFile( memory );
    CloseHandle( filehandle ); 
  }
  getchar();
  return 0;
}
