#include <math.h>
#include <stdio.h>

double function( double value )
{
  return sqrt( value );
}

double integrate( double start, double end, int intervals )
{
  double area = 0;
  double range = ( end - start ) / intervals;
  for( int i=1; i<intervals; i++ )
  {
     double pos = i*range + start;
     area += function( pos );
  }
  area += ( function(start) + function(end) ) / 2;
  return range * area;
}

int main()
{
  for( int i=1; i<500; i++ )
  {
    printf( "%i intervals %8.5f value\n", i, integrate( 0, 1, i ) );
  }
  return 0;
}
